hpp-constraints: Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator Struct Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator Struct Reference

`#include <hpp/constraints/matrix-view.hh>`

Collaboration diagram for Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator:
[legend]

## Public Member Functions
| block_iterator (const MatrixBlockView &v)
size_type | ro () const
| Row in the Output matrix
size_type | co () const
| Col in the Output matrix
size_type | ri () const
| Row in the Input matrix
size_type | ci () const
| Col in the Input matrix
size_type | rs () const
| number of RowS
size_type | cs () const
| number of ColS
block_iterator & | operator++ ()
block_iterator | operator++ (int)
constexpr bool | valid () const

## Public Attributes
const MatrixBlockView & | view
size_type | row
size_type | col
internal::variable_if_dynamic< size_type,(_allRows ? 0 :Dynamic)> | _ro
internal::variable_if_dynamic< size_type,(_allCols ? 0 :Dynamic)> | _co

## Constructor & Destructor Documentation

## ◆ block_iterator()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::block_iterator | ( | const MatrixBlockView & | v | ) |
| inline

## Member Function Documentation

## ◆ ci()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::ci | ( |  | ) | const
| inline

Col in the Input matrix

## ◆ co()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::co | ( |  | ) | const
| inline

Col in the Output matrix

## ◆ cs()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::cs | ( |  | ) | const
| inline

number of ColS

## ◆ operator++() [1/2]

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

block_iterator & Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

block_iterator Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::operator++ | ( | int |  | ) |
| inline

## ◆ ri()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::ri | ( |  | ) | const
| inline

Row in the Input matrix

## ◆ ro()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::ro | ( |  | ) | const
| inline

Row in the Output matrix

## ◆ rs()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::rs | ( |  | ) | const
| inline

number of RowS

## ◆ valid()

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

constexpr bool Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::valid | ( |  | ) | const
| inline constexpr

## Member Data Documentation

## ◆ _co

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

internal::variable_if_dynamic<size_type, (_allCols ? 0 : Dynamic)> Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::_co

## ◆ _ro

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

internal::variable_if_dynamic<size_type, (_allRows ? 0 : Dynamic)> Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::_ro

## ◆ col

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::col

## ◆ row

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

size_type Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::row

## ◆ view

template<typename _ArgType , int _Rows = _ArgType::RowsAtCompileTime, int _Cols = _ArgType::ColsAtCompileTime, bool _allRows = false, bool _allCols = false>

const MatrixBlockView& Eigen::MatrixBlockView< _ArgType, _Rows, _Cols, _allRows, _allCols >::block_iterator::view

The documentation for this struct was generated from the following file:

- include/hpp/constraints/matrix-view.hh